Bug 1638347 - Please port nextcloud-client-nemo support to python3
Summary: Please port nextcloud-client-nemo support to python3
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: nextcloud-client
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Germano Massullo
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-10-11 11:13 UTC by leigh scott
Modified: 2019-04-22 05:09 UTC (History)
8 users (show)

Fixed In Version: nextcloud-client-2.5.2-1.fc29
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-04-22 05:09:42 UTC
Type: Bug


Attachments (Terms of Use)

Description leigh scott 2018-10-11 11:13:27 UTC
python2-nemo is going to be removed from all releases for nemo-4.0 (November 2019) as it's been ported to python3 only.

https://github.com/linuxmint/nemo-extensions/commit/67a5d42489a1ae1715f620f281b62b8cc444d2d0

Comment 1 rugk 2018-11-06 16:17:26 UTC
But you are filling this is for Nautilus, not Nemo…

Comment 2 leigh scott 2018-11-06 17:31:42 UTC
(In reply to rugk from comment #1)
> But you are filling this is for Nautilus, not Nemo…

No I definitely mean nemo!

$ sudo dnf  repoquery --requires  nextcloud-client-nemo
Last metadata expiration check: 1:57:13 ago on Tue 06 Nov 2018 15:32:43 GMT.
nemo
nemo-python
nextcloud-client(x86-64) = 2.3.3-2.fc28


$ sudo dnf provides nemo-python
Last metadata expiration check: 1:54:47 ago on Tue 06 Nov 2018 15:32:43 GMT.
python3-nemo-4.0.0-1.fc29.x86_64 : Python bindings for Nemo
Repo        : @System
Matched from:
Provide    : nemo-python = 4.0.0-1.fc29

python3-nemo-4.0.0-1.fc29.x86_64 : Python bindings for Nemo
Repo        : leigh123linux-cinnamon-4
Matched from:
Provide    : nemo-python = 4.0.0-1.fc29

python2-nemo-3.8.0-6.fc29.i686 : Python bindings for Nemo
Repo        : fedora
Matched from:
Provide    : nemo-python = 3.8.0-6.fc29

python2-nemo-3.8.0-6.fc29.x86_64 : Python bindings for Nemo
Repo        : fedora
Matched from:
Provide    : nemo-python = 3.8.0-6.fc29

Comment 4 rugk 2018-11-06 19:34:31 UTC
Ah okay, then this is the issue tracker for all nextcloud clients, I see…

Comment 5 Germano Massullo 2018-11-12 10:55:59 UTC
I cannot see any hardcoded python2 nemo in nextcloud-client spec file.
Can you double check? Thank you

Comment 6 leigh scott 2018-11-12 11:28:24 UTC
You are using old requires name, the obsolete Obsoletes: and Provides are removed.


https://src.fedoraproject.org/rpms/nemo-extensions/c/633ae6d867e3ca0dd7a55ce1a370ea18559144c2?branch=master


nextcloud-client-nemo is broken because it's python2 code, nemo no longer supports it!
nextcloud-client-nautilus on F30 also has the same issue (no longer supports python2).

Hence the bug title "Please port nemo support to python3"

Comment 7 Germano Massullo 2018-11-12 11:41:55 UTC
(In reply to leigh scott from comment #6)
> You are using old requires name, the obsolete Obsoletes: and Provides are
> removed.
> 
> 
> https://src.fedoraproject.org/rpms/nemo-extensions/c/
> 633ae6d867e3ca0dd7a55ce1a370ea18559144c2?branch=master
> 
> 
> nextcloud-client-nemo is broken because it's python2 code, nemo no longer
> supports it!
> nextcloud-client-nautilus on F30 also has the same issue (no longer supports
> python2).
> 
> Hence the bug title "Please port nemo support to python3"

Then it will be fixed in next nextcloud release that I am going to release as soon upstream will make an official Github release (that will happen today)

Comment 8 leigh scott 2018-11-12 11:56:17 UTC
(In reply to Germano Massullo from comment #7)
> (In reply to leigh scott from comment #6)
> > You are using old requires name, the obsolete Obsoletes: and Provides are
> > removed.
> > 
> > 
> > https://src.fedoraproject.org/rpms/nemo-extensions/c/
> > 633ae6d867e3ca0dd7a55ce1a370ea18559144c2?branch=master
> > 
> > 
> > nextcloud-client-nemo is broken because it's python2 code, nemo no longer
> > supports it!
> > nextcloud-client-nautilus on F30 also has the same issue (no longer supports
> > python2).
> > 
> > Hence the bug title "Please port nemo support to python3"
> 
> Then it will be fixed in next nextcloud release that I am going to release
> as soon upstream will make an official Github release (that will happen
> today)

Thanks, the new version (owncloudclient-2.5.1.10973.tar.xz)  shell_integration/nautilus/syncstate.py LGTM

Comment 9 Germano Massullo 2018-11-12 12:05:40 UTC
(In reply to leigh scott from comment #8)
> Thanks, the new version (owncloudclient-2.5.1.10973.tar.xz) 
> shell_integration/nautilus/syncstate.py LGTM

We ceased to use owncloud client, we are using sources from nextcloud client

Comment 10 Germano Massullo 2018-11-16 08:52:53 UTC
Nemo extension will be disabled on next rebuild, because it is not possible to release 2.5.0 on Fedora, due instability of sync protocol.
Read https://github.com/nextcloud/desktop/issues/566#issuecomment-439190829

Comment 11 Fedora Update System 2018-11-19 16:37:39 UTC
nextcloud-client-2.5.0-2.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-7255a8cc56

Comment 12 Fedora Update System 2018-11-19 16:37:39 UTC
nextcloud-client-2.5.0-2.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-7255a8cc56

Comment 13 Fedora Update System 2018-11-19 16:37:58 UTC
nextcloud-client-2.5.0-2.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-54b3fd08be

Comment 14 Fedora Update System 2018-11-19 16:38:17 UTC
nextcloud-client-2.5.0-2.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2018-b9f641bf49

Comment 15 Fedora Update System 2018-11-19 16:38:20 UTC
nextcloud-client-2.5.0-2.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2018-b9f641bf49

Comment 16 Germano Massullo 2018-11-19 16:38:55 UTC
Please test it and report if there is any need to reconfigure login access mode

Comment 17 Fedora Update System 2018-11-20 15:21:30 UTC
nextcloud-client-2.5.0-2.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-54b3fd08be

Comment 18 Fedora Update System 2018-11-20 17:02:34 UTC
nextcloud-client-2.5.0-2.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-b9f641bf49

Comment 19 Fedora Update System 2018-11-20 19:28:50 UTC
nextcloud-client-2.5.0-2.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-7255a8cc56

Comment 20 Fedora Update System 2019-01-09 16:17:45 UTC
nextcloud-client-2.5.1-1.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2019-117007362a

Comment 21 Fedora Update System 2019-01-09 16:17:55 UTC
nextcloud-client-2.5.1-1.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-184842aa8c

Comment 22 Fedora Update System 2019-01-11 04:16:43 UTC
nextcloud-client-2.5.1-1.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-184842aa8c

Comment 23 Fedora Update System 2019-01-11 05:42:43 UTC
nextcloud-client-2.5.1-1.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-117007362a

Comment 24 Fedora Update System 2019-04-11 13:20:39 UTC
nextcloud-client-2.5.2-1.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2019-c5d5d5aef3

Comment 25 Fedora Update System 2019-04-11 13:20:50 UTC
nextcloud-client-2.5.2-1.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-5705bd6549

Comment 26 Fedora Update System 2019-04-13 03:22:05 UTC
nextcloud-client-2.5.2-1.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-c5d5d5aef3

Comment 27 Fedora Update System 2019-04-13 12:10:20 UTC
nextcloud-client-2.5.2-1.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-5705bd6549

Comment 28 Fedora Update System 2019-04-22 05:09:42 UTC
nextcloud-client-2.5.2-1.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.